package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrPumpOverhaulMapper;
import com.ruoyi.project.pssr.domain.TPssrPumpOverhaul;
import com.ruoyi.project.pssr.service.ITPssrPumpOverhaulService;

/**
 * 机泵检修完成确认清单Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrPumpOverhaulServiceImpl implements ITPssrPumpOverhaulService
{
    @Autowired
    private TPssrPumpOverhaulMapper tPssrPumpOverhaulMapper;

    /**
     * 查询机泵检修完成确认清单
     *
     * @param id 机泵检修完成确认清单ID
     * @return 机泵检修完成确认清单
     */
    @Override
    public TPssrPumpOverhaul selectTPssrPumpOverhaulById(Long id)
    {
        return tPssrPumpOverhaulMapper.selectTPssrPumpOverhaulById(id);
    }

    /**
     * 查询机泵检修完成确认清单列表
     *
     * @param tPssrPumpOverhaul 机泵检修完成确认清单
     * @return 机泵检修完成确认清单
     */
    @Override
    public List<TPssrPumpOverhaul> selectTPssrPumpOverhaulList(TPssrPumpOverhaul tPssrPumpOverhaul)
    {
        return tPssrPumpOverhaulMapper.selectTPssrPumpOverhaulList(tPssrPumpOverhaul);
    }

    /**
     * 新增机泵检修完成确认清单
     *
     * @param tPssrPumpOverhaul 机泵检修完成确认清单
     * @return 结果
     */
    @Override
    public int insertTPssrPumpOverhaul(TPssrPumpOverhaul tPssrPumpOverhaul)
    {
        return tPssrPumpOverhaulMapper.insertTPssrPumpOverhaul(tPssrPumpOverhaul);
    }

    /**
     * 修改机泵检修完成确认清单
     *
     * @param tPssrPumpOverhaul 机泵检修完成确认清单
     * @return 结果
     */
    @Override
    public int updateTPssrPumpOverhaul(TPssrPumpOverhaul tPssrPumpOverhaul)
    {
        return tPssrPumpOverhaulMapper.updateTPssrPumpOverhaul(tPssrPumpOverhaul);
    }

    @Override
    public int updateAllBySubId(TPssrPumpOverhaul tPssrPumpOverhaul) {
        return tPssrPumpOverhaulMapper.updateAllBySubId(tPssrPumpOverhaul);
    }

    /**
     * 批量删除机泵检修完成确认清单
     *
     * @param ids 需要删除的机泵检修完成确认清单ID
     * @return 结果
     */
    @Override
    public int deleteTPssrPumpOverhaulByIds(Long[] ids)
    {
        return tPssrPumpOverhaulMapper.deleteTPssrPumpOverhaulByIds(ids);
    }

    /**
     * 删除机泵检修完成确认清单信息
     *
     * @param id 机泵检修完成确认清单ID
     * @return 结果
     */
    @Override
    public int deleteTPssrPumpOverhaulById(Long id)
    {
        return tPssrPumpOverhaulMapper.deleteTPssrPumpOverhaulById(id);
    }
}
